// $Id: IDispatch.h,v 1.2 2003/04/08 13:54:15 ta_muto Exp $
//

#ifndef __wax_IDispatch_h
#define __wax_IDispatch_h

#include <common.h>
#include <IWriter.h>

namespace wax {
	class IDispatch {
	public:
		virtual ~IDispatch();
		
		virtual bool execute() = 0;
		virtual void output(IWriter* writer) = 0;
	} ;
}

#endif
